
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jquery基础教程之数组使用详解 / iVAN</title>

    <meta name="description" content="jquery基础教程之数组使用详解  jQuery的数组处理.便捷.功能齐全.一步到位的封装了很多原生JavaScript数组不能企及的功能.下面是jquery数组的使用详解,需要的朋友可以参考下 1. $.each(array, [callback]) 遍历[常用]   解释: 不同于例遍jQuery对象的$().each()方法,此方法可用于例遍任何对象.回调函数拥有两个参数:第一个为对象的成员或数组的索引, 第二个为对应变量或内容. 如果需要退出each循环可使回调函数返回false, 其它返回值将被忽略.   each遍历">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jquery基础教程之数组使用详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> jQuery的数组处理、便捷、功能齐全。一步到位的封装了很多原生JavaScript数组不能企及的功能。下面是jquery数组的使用详解,需要的朋友可以参考下</p>
<p>1. $.each(array, [callback]) 遍历[常用]<br />
 <br />
解释: 不同于例遍jQuery对象的$().each()方法,此方法可用于例遍任何对象。回调函数拥有两个参数：第一个为对象的成员或数组的索引, 第二个为对应变量或内容. 如果需要退出each循环可使回调函数返回false, 其它返回值将被忽略。<br />
 <br />
each遍历,相信都不陌生,在平常的事件处理中,是for循环的变体,但比for循环强大。在数组中,它可以轻松的攻取数组索引及对应的值。例:<br />
 <br />
 代码如下:<br />
var _mozi=['墨家','墨子','墨翟','兼爱非攻','尚同尚贤']; //本文所用到的数组, 下同  <br />
$.each(_mozi,function(key,val){  <br />
    //回调函数有两个参数,第一个是元素索引,第二个为当前值  <br />
    alert('_mozi数组中 ,索引 : '+key+' 对应的值为: '+val);  <br />
});<br />
 <br />
 <br />
相对于原生的for..in,each更强壮一点。for..in也可以遍历数组,并返回对应索引,但值是需要通过arrName[key]来获取。<br />
 <br />
2. $.grep(array, callback, [invert])过滤数组[常用]<br />
 <br />
解释: 使用过滤函数过滤数组元素.此函数至少传递两个参数(第三个参数为true或false,对过滤函数返回值取反,个人觉得用处不大): 待过滤数组和过滤函数. 过滤函数必须返回true以保留元素或 false 以删除元素. 另外,过滤函数还可以是可设置为一个字条串。<br />
 <br />
代码如下:<br />
$.grep(_mozi,function(val,key){  <br />
    //过滤函数有两个参数,第一个为当前元素,第二个为元素索引  <br />
    if(val=='墨子'){  <br />
        alert('数组值为 墨子 的下标是: '+key);  <br />
    }  <br />
});  <br />
 <br />
var _moziGt1=$.grep(_mozi,function(val,key){  <br />
    return key&gt;1;  <br />
});  <br />
alert('_mozi数组中索引值大于1的元素为: '+_moziGt1);  <br />
 <br />
var _moziLt1=$.grep(_mozi,function(val,key){  <br />
    return key&gt;1;  <br />
},true);  <br />
//此处传入了第三个可靠参数,对过滤函数中的返回值取反  <br />
alert('_mozi数组中索引值小于等于1的元素为: '+_moziLt1);<br />
 <br />
 <br />
3. $.map(array,[callback])按给定条件转换数组 [一般]<br />
 <br />
解释:作为参数的转换函数会为每个数组元素调用, 而且会给这个转换函数传递一个表示被转换的元素作为参数. 转换函数可以返回转换后的值、null(删除数组中的项目)或一个包含值的数组, 并扩展至原始数组中。<br />
 <br />
这个是个很强大的方法,但并不常用. 它可以根据特定条件,更新数组元素值,或根据原值扩展一个新的副本元素。<br />
 <br />
 代码如下:<br />
var _mapArrA=$.map(_mozi,function(val){  <br />
    return val+'[新加]';  <br />
});  <br />
var _mapArrB=$.map(_mozi,function(val){  <br />
    return val=='墨子' ? '[只给墨子加]'+val : val;  <br />
});  <br />
var _mapArrC=$.map(_mozi,function(val){  <br />
    //为数组元素扩展一个新元素  <br />
    return [val,(val+'[扩展]')];  <br />
});  <br />
alert('在每个元素后面加'[新加]'字符后的数组为: '+ _mapArrA);  <br />
alert('只给元素 墨子 添加字符后的数组为: '+ _mapArrB);  <br />
alert('为原数组中每个元素,扩展一个添加字符'[新加]'的元素,返回的数组为 '+_mapArrC);<br />
 <br />
 <br />
4 .$.inArray(val,array)判断值是否存在于数组中[常用]<br />
 <br />
解释: 确定第一个参数在数组中的位置, 从0开始计数(如果没有找到则返回-1)。<br />
 <br />
记得indexOf()方法了吗? indexOf()返回字符串的首次出现位置,而$.inArray()返回的是传入参数在数组中的位置,同样的,如果找到的,返回的是一个大于或等于0 的值,若未找到则返回-1.现在, 知道怎么用了吧. 有了它, 判断某个值是否存在于数组中,就变得轻而易举了。<br />
 <br />
 代码如下:<br />
var _exist=$.inArray('墨子',_mozi);  <br />
var _inexistence=$.inArray('卫鞅',_mozi)  <br />
if(_exist&gt;=0){  <br />
    alert('墨子 存在于数组_mozi中,其在数组中索引值是: '+_exist);  <br />
}  <br />
if(_inexistence&lt;0){  <br />
    alert('卫鞅 不存在于数组_mozi中!,返回值为: '+_inexistence+'!');  <br />
}<br />
 <br />
 <br />
5 .$.merge(first,second)合并两个数组[一般]<br />
 <br />
 <br />
 <br />
解释: 返回的结果会修改第一个数组的内容——第一个数组的元素后面跟着第二个数组的元素。这个方法是用jQuery的方法替代原生concat()方法, 但功能并没有concat()强大, concat()可以同时合并多个数组。<br />
 <br />
代码如下:<br />
//原生concat()可能比它还简洁点  <br />
_moziNew=$.merge(_mozi,['鬼谷子','商鞅','孙膑','庞涓','苏秦','张仪'])  <br />
alert('合并后新数组长度为: '+_moziNew.length+'. 其值为: '+_moziNew);<br />
 <br />
 <br />
6 .$.unique(array)过滤数组中重复元素[不常用]<br />
 <br />
 <br />
 <br />
解释: 删除数组中重复元素. 只处理删除DOM元素数组,而不能处理字符串或者数字数组。<br />
 <br />
第一次看到这个方法,觉得这是个很便捷的方法, 可以过滤重复，多完美。但仔细一看, 仅限处理DOM元素，功能8折了。所以, 我给它定义成了一个不常用的元素, 至少, 我用jQuery以来没用到过它。<br />
 <br />
 代码如下:<br />
var _h2Arr=$.makeArray(h2obj);  <br />
//将数组_h2Arr重复一次  <br />
_h2Arr=$.merge(_h2Arr,_h2Arr);  <br />
var _curLen=_h2Arr.length;  <br />
_h2Arr=$.unique(_h2Arr);  <br />
var _newLen=_h2Arr.length;  <br />
alert('数组_h2Arr原长度值为: '+_curLen+' ,过滤后为: '+_newLen  <br />
      +' .共过滤 '+(_curLen-_newLen)+'个重复元素')<br />
 <br />
 <br />
7. $.makeArray(obj) 将类数组对象转换为数组[不常用]<br />
 <br />
解释: 将类数组对象转换为数组对象, 类数组对象有 length 属性,其成员索引为0至 length-1。<br />
这是个多余的方法, 无所不能的$本来就包含了这个功能。jQuery官网上解释的非常模糊，其实, 它就是将某个类数组对象(比如用getElementsByTagName获取的元素对象集合)转换成数组对象。<br />
 <br />
代码如下:<br />
var _makeArr=$.makeArray(h2obj);  <br />
alert('h2元素对象集合的数据类型转换为: '+_makeArr.constructor.name);//输出Array<br />
 <br />
 <br />
8. $(dom).toArray()将所有DOM元素恢复成数组[不常用]<br />
 <br />
解释: 把jQuery集合中所有DOM元素恢复成一个数组。并不常用的方法, 个人甚至觉得它和$.makeArray一样多余.<br />
 <br />
 代码如下:<br />
var _toArr=$('h2').toArray();  <br />
alert('h2元素集合恢复后的数据类型是: '+_toArr.constructor.name);<br />
 </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 04:18:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84%e8%af%a6%e8%a7%a3/" title="数组详解">数组详解</a>, <a href="https://www.iamivan.net/tag/%e8%bf%94%e5%9b%9e%e6%95%b0%e7%bb%84%e5%80%bc/" title="返回数组值">返回数组值</a>, <a href="https://www.iamivan.net/tag/%e5%b8%b8%e7%94%a8%e5%87%bd%e6%95%b0%e8%af%a6%e8%a7%a3/" title="常用函数详解">常用函数详解</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0%e8%bf%94%e5%9b%9e%e5%80%bc-%e6%95%b0%e7%bb%84/" title="函数返回值 数组">函数返回值 数组</a>, <a href="https://www.iamivan.net/tag/grep-%e6%96%b9%e6%b3%95%e8%af%a6%e8%a7%a3/" title="grep&lpar;&rpar;方法详解">grep&lpar;&rpar;方法详解</a>, <a href="https://www.iamivan.net/tag/%e8%bf%87%e6%bb%a4%e5%99%a8%e8%af%a6%e8%a7%a3/" title="过滤器详解">过滤器详解</a>, <a href="https://www.iamivan.net/tag/jquery%e5%be%aa%e7%8e%af%e9%81%8d%e5%8e%86map/" title="jquery循环遍历map">jquery循环遍历map</a>, <a href="https://www.iamivan.net/tag/inarray/" title="inArray">inArray</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jquery基础教程之数组使用详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmWYRp.html" rel="bookmark">jquery基础教程之数组使用详解&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. $.each(array, [callback]) 遍历[常用] 解释: 不同于例遍jQuery对象的$().each()方法,此方法可用于例遍任何对象.回调函数拥有两个参数:第一个为对象的成员或数组的索引, 第二个为对应变量或内容. 如果需要退出each循环可使回调函数返回false, 其它返回值将被忽略. each遍历,相信都不陌生,在平常的事件处理中,是for循环的变体,但比for循环强大.在数组中,它可以轻松的攻取数组索引及对应的值.例: 复制代码 代码如下: var _mozi=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lpd0WNp.html" rel="bookmark">jQuery Mobile教程&colon;网页按钮实例详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:相比其他组件,按钮是最基本也是最常见的,那在jQuery Mobile的体系中,到底是什么样子的呢? 相比其他组件,按钮是最基本也是最常见的,那在jQuery Mobile的体系中,到底是什么样子的呢?我们采用&quot;提问●回答&quot;的方式来初步地了解一下: 1.按钮包含哪两类? 常见的: &lt;button&gt;button&lt;/button&gt; &lt;input type=&quot;button&quot; value=&quot;input button&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQn3OM.html" rel="bookmark">Photoshop入门基础教程&colon;色相&sol;饱和度命令详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;色相/饱和度&quot;命令是较为常用的色彩调整命令.可以调整整个图像的色相.饱和度和明度,在本节的学习中,就像朋友们讲述&quot;色相/饱和度&quot;命令的应用原理. 1. 了解色彩的基本属性 要掌握&quot;色相/饱和度&quot;命令,首先要理解色彩的基本属性,即:色相.饱和度.明度. &quot;色相&quot;是色彩的首要外貌特征,除黑白灰以外的颜色都有色相的属性,是区别各种不同色彩的最准确的标准.例如以下图片中图像的背景色为不同的色相:黄色.红色.绿色. [1] [2] [			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baB7xQM.html" rel="bookmark">python基础教程之字典操作详解&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				字典dictionary 1.键值对的集合(map) 2.字典是以大括号&quot;{}&quot;包围的数据集合 3.字典是无序的,在字典中通过键来访问成员. 可变的,可嵌套,可以原处修改扩展等,不产生新的字典 4.字典的键,可以是字符串(大小写敏感),数字常量或元组(不可变类型),同一个字典的键可以混用类型.字典的键必须是可哈希的 元组作为键的条件是,元组内的值都是不可变类型 复制代码 代码如下: a = (1,2)  #可以作为键b = (1,2,[3,4])  #不可以 5.字典的值可以是任意类型			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2W1kb.html" rel="bookmark">C&num;基础语法：方法参数详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要介绍了C#基础语法:方法参数详解,本文讲解了值参数.引用参数.输出参数.参数数组等参数类型,并分别给出代码实例,需要的朋友可以参考下     ●值参数 :一个值参数相当于一个局部变量,当使用值参数的时候,将会分配一个新的存储位置,将实参拷贝到该位置,并将该拷贝值传递给该方法.因此,值参数只能将值带进方法,但是不能带出方法,而不会影响实参的值. ●引用参数:当使用引用参数的时候,将不会分配一个新的存储位置,In other words,引用参数能将值带进方法,也能带出方法,因而会影响实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3oe9mb.html" rel="bookmark">jQuery中ajax - post&lpar;&rpar; 方法实例详解&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在jquery中的ajax有二个数据发送模式,一种是get,另一种是post(). jQuery Ajax 参考手册 实例 请求 test.php 网页,忽略返回值: $.post(&quot;test.php&quot;); TIY 实例 通过 AJAX POST 请求改变 div 元素的文本: $(&quot;input&quot;).keyup(function(){ txt=$(&quot;input&quot;).val(); $.post(&quot;demo_ajax_gethint.asp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkw47Ep.html" rel="bookmark">jQuery中deferred对象使用方法详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在jquery1.5之后的版本中,加入了一个deferred对象,也就是延迟对象,用来处理未来某一时间点发生的回调函数.同时,还改写了ajax方法,现在的ajax方法返回的是一个deferred对象. 那就来看看deferred对象的用法.1.ajax的链式回调  // ajax方法返回的是一个deferred对象,可以直接使用链式写法 $.ajax('test.json').done(function(resp){ // done 相当于success回调,其中默认的参数为success回调的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0o4Ap.html" rel="bookmark">jquery ajax局部加载方法详解&lpar;实现代码&rpar;&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在jquery中实现ajax加载的方法有很多种,不像以前的js的ajax只有那一种,下面我们介绍jquery ajax实现局部加载方法总结,有需要了解的朋友可参考. 例 $.ajax({ url: &quot;hotelQuery!queryHotelByCity.action&quot;, type: &quot;post&quot;, dataType: &quot;html&quot;, data: &quot;queryHotel.city=&quot;+cityobj.value+&quot;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYKyLb.html" rel="bookmark">ASP&period;NET MVC中使用jQuery时的浏览器缓存问题详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				介绍 尽管jQuery在浏览器ajax调用的时候对缓存提供了很好的支持,还是有必要了解一下如何高效地使用http协议. 首先要做的事情是在服务器端支持HTTP GET,定义不同的URL输出不同的数据(MVC里对应的就是action).如果要使用同一个地址获取不同的数据,那就不对了,一个HTTP POST也不行因为POST不能被缓存.许多开发人员使用POST主要有2个原因:明确了数据不能被缓存,或者是避免JSON攻击(JSON返回数组的时候可以被入侵). 缓存解释 jQuery全局对象里的ajax			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgOmMP.html" rel="bookmark" class="title">Javascript 遍历页面text控件详解</a>
					<div>
						 本篇文章主要是对Javascript遍历页面text控件进行了介绍,需要的朋友可以过来参考下,希望对大家有所帮助 以下函数实现了列出页面中所有html控件类型为text的控件ID    代码如下:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLg4LM.html" rel="bookmark" class="title">Photoshop制作创意的云朵图案艺术字教程</a>
					<div>
						先看看效果: 1.新建文档,设置前景色为#3497b6,背景色为#97d5e6,拉一个从上到下的径向渐变. 2.我们用白色字体打出52psxt,字体选择你喜欢的就行,尽量粗点的字体. 3.我们按住ct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4WmJp.html" rel="bookmark" class="title">Photoshop制作精致的紫色水晶心形</a>
					<div>
						作者制作心形的时候非常细致,加入了很多细节,如中间的网状光束,星光,边缘线条,光斑背景等,虽然制作繁琐一点,不过效果非常细腻. 最终效果 1.新建大小自定画布,新建一个图层,建立一条路径,调整到你想象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN6wNM.html" rel="bookmark" class="title">Dreamweaver MX 2004高级技巧&lpar;7&rpar;使用框架的&OpenCurlyDoubleQuote;行为&rdquo;</a>
					<div>
						dreamweaver|高级|技巧 有几个特别适合用于框架的 javascript 行为和与导航相关的命令. 首先我们先建立一个如下图所示的框架网页文件: 单击一个链接更改两个或多个框架的内容 选中一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b30VwM.html" rel="bookmark" class="title">IIS 5&period;0新功能</a>
					<div>
						Windows 2000的IIS(Internet Information Services) 5.0提供甚麼樣的新功能呢? IIS 5.0新功能如下: l 安全性上:包括摘要式驗證.整合的Windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6OXJp.html" rel="bookmark" class="title">巧用ASP实现Web数据统计、报表和打印</a>
					<div>
						web|打印|数据|统计 摘 要:本文阐述一种利用ASP实现Web数据统计.报表的基本思路和实现方法,同时提供一种巧妙调用Word打印报表的解决方案. 关键词: ASP,数据统计,报表,打印,Word ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAawkKM.html" rel="bookmark" class="title">如何缩小SQL Server数据库日志文件</a>
					<div>
						问题:数据库实际大小为600MB, 日志文件实际大小为33MB, 但日志文件占用空间为2.8GB!试了多种方式,SHIRNK DATABASE, TRUNCATE LOG FILE, 都没办法将文件缩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaLrZM.html" rel="bookmark" class="title">android打开应用所在的市场页面进行评分操作的方法</a>
					<div>
						  这篇文章主要介绍了android打开应用所在的市场页面进行评分操作的方法,涉及Android操作市场页面评分效果的相关技巧,具有一定参考借鉴价值,需要的朋友可以参考下 本文实例讲述了android ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR61qz.html" rel="bookmark" class="title">网页中的色彩运用</a>
					<div>
						在设计网页之前,客户或产品经理会提出对网页视觉风格设计的期望:活跃.大气.稳重.信赖.都市化-.. 设计师一听到关键词或许很自然地在心里蹦出几个配色与&quot;关键词&quot;相匹配了.网页的色彩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badL2qz.html" rel="bookmark" class="title">巧妙关闭Win8&period;1的SkyDrive图标的方法</a>
					<div>
						  1.首先,打开运行,输入msconfig,回车; 2.接着,关闭系统配置-服务-Network List Service; 3.重启电脑即可.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1yr7b.html" rel="bookmark" class="title">GPU-Z 1&period;10&period;0功能有哪些变化</a>
					<div>
						  变化一览: 上月,9年始终停留在Beta版的显卡第一识别工具GPU-Z发布首个正式版v1.9.0,期间共经历了89个版本的演进. 今天,v1.10.0版发布,增加了对近段时间的新卡如AMD RX4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N8oWz.html" rel="bookmark" class="title">四种编程语言中散列表的遍历顺序比较</a>
					<div>
						测试方法 我们使用Ruby, JavaScript, Lua和Go这四种编程语言分别实现了以下步骤: 创建一个空的散列表H 以26个英文字母为key并按a-z的顺序插入H 遍历H并打印遍历的顺序,重复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkVR2b.html" rel="bookmark" class="title">数据-关于人人网上东学西读GPA计算器的实现</a>
					<div>
						问题描述 关于人人网上东学西读GPA计算器的实现 在东学西读的网页上面输入学校,还有查成绩时用的学号.密码,就能在东学西读的网页上显示你的成绩,不会跳转到本校的成绩查询系统,有人知道原理是什么么?是在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlgmvb.html" rel="bookmark" class="title">亚太地区：未来十年关键基础设施保护市场增长率最高</a>
					<div>
						为了保护基础设施免于遭到网络攻击或已成为恶意攻击受害者之后为有效降低攻击影响,许多组织机构正纷纷采用关键基础设施保护技术.包括交通.金融服务保险业.IT.能源在内的多个行业都在部署关键基础设施保护解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQvwWp.html" rel="bookmark" class="title">亲手打造自己的 Linux 桌面环境</a>
					<div>
						要是 KDE.Gnome 和 Xfce 都没法让你来劲,该怎么办?当然是亲手打造自己的桌面环境喽! Linux 的最大好处是什么?安全性.稳定性.高性能,还是它带来的自由?它在所有这些方面都表现不赖, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z3wNM.html" rel="bookmark" class="title">C&plus;&plus;字符数组越界问题的一个案例分析</a>
					<div>
						我的学生yang1067155909给我来信,说的是C++第11周项目3 - CEmployee类继承自CPerson类中的一个细节: 贺老师: 老师,m_szDepartment=new char[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQWeKp.html" rel="bookmark" class="title">一对一映射是否需要中间表</a>
					<div>
						问题描述 大家好!我在读&lt;Java Persistence with Hibernate&gt;时遇到一个问题.书中提到,one-to-one 映射可以用 shared primary key, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye3a5M.html" rel="bookmark" class="title">用C&num;做一个实体类生成器</a>
					<div>
						问题描述 老师要我们效仿.Net代码生成器,做一个功能差不多的.我现在求那位大哥教我做怎么样生成实体类就够了.万分感谢!! 解决方案 解决方案二:帮顶,有一个代码生成器的原码解决方案三:代码生成器首先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xLdZb.html" rel="bookmark" class="title">gridview-请高手指点多数据记录保存到数据库中</a>
					<div>
						问题描述 请高手指点多数据记录保存到数据库中 解决方案 首先要获取到多条记录,生成多条insert into sql语句. ado.net执行多条sql语句,带事务操作即可. 解决方案二: 数据库高手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xg2kb.html" rel="bookmark" class="title">诺基亚第一季度净营收152亿美元</a>
					<div>
						北京时间4月21日晚间消息,诺基亚今日发布了2011财年第一季度财报,净营收为103.99亿欧元(约合152.25美元),每股摊薄收益0.09欧元. 诺基亚第一季度净营收为103.99亿欧元,而去年同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZyY3p.html" rel="bookmark" class="title">东软国际化成人礼：20年进化与产业博弈 基因决定速度</a>
					<div>
						怀疑数字 http://news.pedaily.cn/201108/20110811228257.shtml 6500人 作为削减10亿美元年度运营开支计划的一部分,思科将裁员约6500人,涉及全球 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB8YDz.html" rel="bookmark" class="title">这些年 QQ空间给我的优化启发</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 针对百度新算法,我表示,我们站长们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2wY1M.html" rel="bookmark" class="title">2011年中国十大热门服务 微博、团购仍然位居榜首</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 2011年,中国互联网行业依然保持着强劲的增长势头,回顾过去的一年,互联网行业又出现了很多创新性的产品和应用服务.在此,艾瑞根据网络用户行为监测工具iU ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWr3az.html" rel="bookmark" class="title">Android 使用Shell脚本截屏并自动传到电脑上&lowbar;Android</a>
					<div>
						Android设备用久了,截屏是个麻烦事.更麻烦的是通过qq传到电脑上,倒腾半天.其实用adb命令就可以截屏,然后写个pull的语句就可以拉到电脑上了.文件名为capture.sh, 内容如下: #! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWALJz.html" rel="bookmark" class="title">站内优化经常忽略的包括哪几点</a>
					<div>
						百度算法更新后很多网站优化都是说一个问题就是着重做好站内优化,而站内优化很多站长都会认为是网站的内容更新和原创的内容,其实除了这些属于站内优化比较重要的问题外,其他的一些站内优化也是非常重要的并且也是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWmZRz.html" rel="bookmark" class="title">大数据时代 安防行业如何保证数据存储安全？</a>
					<div>
						作为大数据时代海量数据的来源之一,安防视频监控产生了巨大的信息数据.特别是近几年随着平安城市.智能交通.智能楼宇等行业的快速发展,大集成.大联网推动安防行业进入大数据时代. 安防行业大数据的存在已经被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJe33Jp.html" rel="bookmark" class="title">ASP&period;NET 导出报表，在Exce表格里面对时分秒进行求和统计，现在格式错误？</a>
					<div>
						问题描述 这是转换时长格式的代码if(dataType==&quot;time&quot;){columnValue=string.Format(&quot;{0:HH:mm:ss}&quot;,co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdY0nM.html" rel="bookmark" class="title">Java&mdash;&mdash;动态代理</a>
					<div>
						                    在静态代理中,我们在调用target类的时候,都是先拿到proxy类,因为proxy类中将target类作为了成员变量,并且跟target类继承了一样的接口,具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRwJqz.html" rel="bookmark" class="title">T&period;H&period;Capital今日发布投资报告，维持当当股票持有评级</a>
					<div>
						摘要: 查看最新行情 北京时间8月14日晚间消息,投资公司T.H.Capital今日发布投资报告,维持 当当网 股票(NYSE: DANG )持有评级. 以下为报告内容摘要: 当当将于美国东部时间8月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXEDmM.html" rel="bookmark" class="title">JavaScript获取页面上被选中文字的方法技巧&lowbar;javascript技巧</a>
					<div>
						这里介绍的一个小技巧是如何用JavaScript获取页面上被选中的文字的方法.最关键的JavaScript API是: 复制代码 代码如下: event.selection = window.getS ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
